# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

# test dependency stream-bench not available in Fedora
%global enable_tests 0
%global srcname archiver
%global github_name node-archiver
%global commit 1e55f081f0ad96622990da016e7f1ea091143c16

Name:           nodejs-%{srcname}
Version:        0.14.4
Release:        2%{?dist}
Summary:        A streaming interface for archive generation
License:        MIT
URL:            https://github.com/archiverjs/node-archiver
# npm sources don't include tests so we use github
Source0:        https://github.com/archiverjs/node-archiver/archive/%{commit}/%{github_name}-%{commit}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(chai)
BuildRequires:  npm(mocha)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(stream-bench)
BuildRequires:  npm(tar)
BuildRequires:  npm(yauzl)
%endif


%description
%{summary}.


%prep
%setup -q -n %{github_name}-%{commit}
rm -rf node_modules/
%{nodejs_fixdep} async '0.x'
%{nodejs_fixdep} glob
%{nodejs_fixdep} lodash
%{nodejs_fixdep} readable-stream


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter dot
%endif


%files
%doc BULK.md README.md CONTRIBUTING.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Mon Jun 15 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.14.4-2
- Fixed package naming

* Sat Jun 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.14.4-1
- Update to upstream 0.14.4
- Added el6 macro
- Updated URL
- Capitalized summary
- Use github sources

* Sun Mar  8 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.14.3-1
- Update to upstream 0.14.3

* Sun Dec 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.13.0-1
- Initial package
